GenePattern 3.9.8 Release Notes

Released June 8, 2016

GenePattern 3.9.8 requires Java 7+.

System requirements and known issues are detailed on the following pages. 

New Features

[GP-6212] Added the ability to save a module as a major, minor, or patch version, as follows:

Version increment

Set the next module (LSID) version based on the current version level {major}.{minor}.{patch}. For new modules, the initial major version is v1, the initial minor version is v0.1 and the initial patch version is v0.0.1. By default, increment the current version level, (e.g. save v1 as v2, v1.1 as v1.2). Example usage:

  • major (X) save new major version ...
    • v1, new module saves as v1.
    • v1 to v2, from major, same as default
    • v1.4 to v2, from minor, decrease level
    • v1.0.1 to v2, from patch, decrease level by 2
  • minor (X.Y) save new minor version ...
    • v1 to v1.1, from major, increase version level
    • v1.1 to v1.2, from minor, same as default
    • v1.0.1 to v1.1, from patch, decrease level
  • patch (X.Y.Z) save new patch version ...
    • v1 to v1.0.1, from major, increase version level by 2
    • v1.4 to v1.4.1, from minor, increase version level
    • v1.0.1 to v1.0.2, from patch, same as default

End User Bug Fixes & Enhancements

[GP-6237] - JavaScript visualizers now correctly expand to the full available size of the browser.


Modues Released since April 5, 2016


Admin Support and Information

Bug Fixes

[GP-6190] - Implement a fix for using the new style of GenomeSpace URL

[GP-6223] - Mac installer: bug in <java>, <R>, and <R2.5> config - The Mac installer prompted for java, R, R2.5 and perl. Now set in the Custom properties page by an admin of the server.

[GP-6246] - Fix for issue with blank optional file parameters with formal REST endpoint


[GP-5911] - Remove check for 'sync.job.uploads.complete' from server startup script - improves startup time

[GP-6161] - Modify URLs for GenomeSpace files in the GenomeSpace tab - modified on the GenomeSpace side to avoid unnecessary redirects.

[GP-6206] - REST API Documentation now available.

[GP-6233] - 'lsid.authority' can now be set in config.yaml

[GP-6248] - Fix for jquery.jstree.js warning: /gp/pages/falsedefault/style.css 404